Skip to main content
GET
/
v1
/
orgs
/
ein
/
{ein}
Get organization by EIN
curl --request GET \
  --url https://api.endaoment.org/v1/orgs/ein/{ein}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "ein": "530196605",
  "name": "American Red Cross",
  "description": "Providing disaster relief and emergency assistance",
  "address": {
    "line1": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "zip": "94105",
    "country": "USA"
  },
  "website": "https://www.redcross.org",
  "logo": "https://example.com/logo.png",
  "nteeCode": "E91",
  "nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
  "featuredIndex": 100,
  "claimedDateUtc": "2024-03-20T10:30:00Z",
  "claimedType": "DIRECT",
  "claimed": true,
  "contractAddress": "0x1234567890123456789012345678901234567890",
  "deployments": [
    {
      "chainId": 1,
      "contractAddress": "0x1234567890123456789012345678901234567890",
      "usdcBalance": "2000000",
      "isDeployed": true
    }
  ],
  "compliant": true,
  "isCompliant": true,
  "nonComplianceReasons": null,
  "lifetimeContributionsUsdc": "1000000",
  "usdcBalance": "2000000",
  "financials": {
    "form990FiscalYear": null,
    "summary": {
      "totalLiabilities": null,
      "totalAssets": null,
      "contributionsAll": null,
      "totalExpenses": null,
      "totalRevenue": null,
      "netIncome": null
    },
    "expenses": {}
  },
  "socials": {
    "twitter": null,
    "facebook": null,
    "linkedin": null,
    "instagram": null
  },
  "staffNotes": null,
  "paypalId": null,
  "partnerId": null,
  "donationsReceived": 42,
  "grantsReceived": 7
}

Path Parameters

ein
string
required

IRS Employer Identification Number, with or without hyphen.

Example:

"530196605"

Response

Organization details

id
string<uuid> | null
required

Unique identifier of the organization in Endaoment database.

Example:

"123e4567-e89b-12d3-a456-426614174000"

ein
object
required

IRS Employer Identification Number (EIN) without hyphen

Example:

"530196605"

name
string
required

Name of the organization

Example:

"American Red Cross"

description
object
required

Description or mission statement of the organization

Example:

"Providing disaster relief and emergency assistance"

address
object
required

Physical address of the organization

website
object
required

Website URL of the organization

Example:

"https://www.redcross.org"

URL to the organization logo

Example:

"https://example.com/logo.png"

nteeCode
string
required

NTEE (National Taxonomy of Exempt Entities) Code

Example:

"E91"

nteeDescription
string
required

Human-readable description of the NTEE code

Example:

"Nursing, Convalescent (Geriatric and Nursing)"

Priority index for featured organizations (higher = shows first)

Required range: x >= 0
Example:

100

claimedDateUtc
object
required

UTC timestamp when the organization was claimed

Example:

"2024-03-20T10:30:00Z"

claimedType
enum<string> | null
required

Type of organization claim

Available options:
WalletClaim,
WireClaim
Example:

"DIRECT"

claimed
boolean
required

Whether the organization has been claimed

Example:

true

contractAddress
object
required
deprecated

Smart contract address on the default chain (deprecated)

Example:

"0x1234567890123456789012345678901234567890"

deployments
object[]
required

List of smart contract deployments across different chains. Includes only deployed orgs.

compliant
boolean
required
deprecated

Deprecated compliance flag. Use isCompliant instead.

Example:

true

isCompliant
boolean
required

Whether the organization is currently compliant.

Example:

true

nonComplianceReasons
string[] | null
required

Reasons why the organization is non-compliant, when applicable.

Example:

null

lifetimeContributionsUsdc
string
required

Lifetime contributions to this organization in USDC micro-units (1000000 = 1 USD).

Example:

"1000000"

usdcBalance
string
required

Current USDC balance of the organization contract in micro-units (1000000 = 1 USD).

Example:

"2000000"

financials
object
required

Financial information for the organization.

socials
object
required

Social links for the organization.

staffNotes
object
required

Staff notes for this organization. Currently null for public organizations.

Example:

null

paypalId
object
required

PayPal ID of the organization, when available.

Example:

null

partnerId
enum<string> | null
required

Partner that onboarded the organization, when applicable.

Available options:
tgb,
gg
Example:

null

donationsReceived
number
required

Number of inbound donations made to the organization.

Example:

42

grantsReceived
number
required

Number of grants made to this organization.

Example:

7